如何在CentOS6.5上安装docker1.9及以上版本?


目前广泛使用的还是CentOS6.x版本,我想知道如何在6.5上安装docker1.9及以上版本(尽管官方建议Linux内核要3.1以上)? 使用高版本docker的主要目的是体验新功能,但是又不想升级内核。使用官方的curl -fsSL https://get.docker.com/ | sh安装的是1.7版本。

uname -a

Linux ycfecs 2.6.32-573.22.1.el6.x86_64 #1 SMP Wed Mar 23 03:35:39 UTC 2016 x86_64 x86_64 x86_64 GNU/Linux

cat /etc/redhat-release

CentOS release 6.5 (Final)
已邀请:

陛下 - Small is beautiful, constraint is liberty

赞同来自:


1、导入public key
rpm --import https://www.elrepo.org/RPM-GPG-KEY-elrepo.org

2、安装elrepo到内核为2.6.32的CentOS中
rpm -Uvh http://www.elrepo.org/elrepo-r ... h.rpm

3、安装kernel-lt(long term support)长期支持版本
yum --enablerepo=elrepo-kernel install kernel-lt -y

4、编辑grub.conf文件,修改Grub引导顺序
vim /etc/grub.conf
确认安装的新内核的位置,将default的值调整为新内核的顺序,如本次升级案例中新装的内核位置为0,所以将default修改为0,保存退出,reboot重启服务器。

5、重启系统后检查内核
linux ECS CentOS 2.6版本内核升级至3.10 安装docker

要回复问题请先登录注册